tool
extends Node2D

enum Month {
	JANUARY,
	FEBRUARY,
	MARCH,
	APRIL,
	MAY,
	JUNE,
	JULY,
	AUGUST,
	SEPTEMBER,
	OCTOBER,
	NOVEMBER,
	DECEMBER,
}

enum Flower {
	PINE,
	PLUM_BLOSSOM,
	CHERRY_BLOSSOM,
	WISTERIA,
	IRIS,
	PEONY,
	BUSH_CLOVER,
	GRASS,
	CHRYSANTHEMUM,
	MAPLE,
	WILLOW,
	PAULOWNIA,
}

export var revealed: bool = true setget reveal

# Called when the node enters the scene tree for the first time.
func _ready():
	$Backside/TextureRect.rect_global_position = $"Backside/Border sprite".get_rect()
	reveal(revealed)

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass

func reveal(new_reveal: bool):
	revealed = new_reveal
	if revealed:
		print("Reveal card")
		$Frontside.show()
		$Backside.hide()
	else:
		print("Conceal card")
		$Frontside.hide()
		$Backside.show()
